ssuominen    14/08/02 00:29:29

  Modified:             udev-9999.ebuild ChangeLog
  Log:
  Migrate src_configure() over to multilib_native_use_enable() function from 
multilib-build.eclass
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
4868F14D)

Revision  Changes    Path
1.316                sys-fs/udev/udev-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/udev-9999.ebuild?rev=1.316&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/udev-9999.ebuild?rev=1.316&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/udev-9999.ebuild?r1=1.315&r2=1.316

Index: udev-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/udev/udev-9999.ebuild,v
retrieving revision 1.315
retrieving revision 1.316
diff -u -r1.315 -r1.316
--- udev-9999.ebuild    1 Aug 2014 09:22:41 -0000       1.315
+++ udev-9999.ebuild    2 Aug 2014 00:29:29 -0000       1.316
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/udev-9999.ebuild,v 1.315 
2014/08/01 09:22:41 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/udev-9999.ebuild,v 1.316 
2014/08/02 00:29:29 ssuominen Exp $
 
 EAPI=5
 
@@ -160,12 +160,18 @@
                ac_cv_search_cap_init=
                --libdir=/usr/$(get_libdir)
                --docdir=/usr/share/doc/${PF}
+               $(multilib_native_use_enable static-libs static)
                --disable-nls
+               $(multilib_native_use_enable doc gtk-doc)
+               $(multilib_native_use_enable introspection)
                --disable-python-devel
                --disable-dbus
+               $(multilib_native_use_enable kmod)
                --disable-seccomp
+               $(multilib_native_use_enable selinux)
                --disable-xz
                --disable-pam
+               $(multilib_native_use_enable acl)
                --disable-gcrypt
                --disable-audit
                --disable-libcryptsetup
@@ -176,44 +182,20 @@
                --disable-quotacheck
                --disable-logind
                --disable-polkit
-               --disable-nls
                --disable-myhostname
                $(use_enable gudev)
+               $(multilib_is_native_abi || echo "--disable-manpages")
                --enable-split-usr
                --with-html-dir=/usr/share/doc/${PF}/html
                --without-python
                --with-bashcompletiondir="$(get_bashcompdir)"
+               $(use firmware-loader && echo 
"--with-firmware-path=/lib/firmware/updates:/lib/firmware")
                --with-rootprefix=
+               $(multilib_is_native_abi && echo 
"--with-rootlibdir=/$(get_libdir)")
        )
+
        # Use pregenerated copies when possible wrt #480924
-       if ! [[ ${PV} = 9999* ]]; then
-               econf_args+=(
-                       --disable-manpages
-               )
-       fi
-       if multilib_is_native_abi; then
-               econf_args+=(
-                       $(use_enable static-libs static)
-                       $(use_enable doc gtk-doc)
-                       $(use_enable introspection)
-                       $(use_enable acl)
-                       $(use_enable kmod)
-                       $(use_enable selinux)
-                       --with-rootlibdir=/$(get_libdir)
-               )
-       else
-               econf_args+=(
-                       --disable-static
-                       --disable-gtk-doc
-                       --disable-introspection
-                       --disable-acl
-                       --disable-kmod
-                       --disable-selinux
-                       --disable-manpages
-                       --with-rootlibdir=/usr/$(get_libdir)
-               )
-       fi
-       use firmware-loader && econf_args+=( 
--with-firmware-path="/lib/firmware/updates:/lib/firmware" )
+       [[ ${PV} = 9999* ]] || econf_args+=( --disable-manpages )
 
        ECONF_SOURCE=${S} econf "${econf_args[@]}"
 }



1.1081               sys-fs/udev/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/ChangeLog?rev=1.1081&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/ChangeLog?rev=1.1081&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/ChangeLog?r1=1.1080&r2=1.1081

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v
retrieving revision 1.1080
retrieving revision 1.1081
diff -u -r1.1080 -r1.1081
--- ChangeLog   1 Aug 2014 15:36:32 -0000       1.1080
+++ ChangeLog   2 Aug 2014 00:29:29 -0000       1.1081
@@ -1,6 +1,10 @@
 # ChangeLog for sys-fs/udev
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.1080 2014/08/01 
15:36:32 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.1081 2014/08/02 
00:29:29 ssuominen Exp $
+
+  02 Aug 2014; Samuli Suominen <[email protected]> udev-9999.ebuild:
+  Migrate src_configure() over to multilib_native_use_enable() function from
+  multilib-build.eclass
 
   01 Aug 2014; Samuli Suominen <[email protected]> udev-215-r1.ebuild:
   Include more straightforward patch for the last commit after all wrt




Reply via email to